%define subver		2.0
%define microver	0
%define ver		2.4.5
%define prefix		/usr
%define sysconfdir	/etc
%define desktopdir	/usr/share

Summary:	The GNU Image Manipulation Program
Name:		gimp
Version:	%{ver}
Release:	b1
License:	GPL,LGPL
Group:		Applications/Graphics
URL:		http://www.gimp.org/
BuildRoot:	%{_tmppath}/%{name}-%{ver}-root
Docdir:		%{prefix}/doc
Prefix:		%{prefix}
Obsoletes:	gimp-data-min
Obsoletes:	gimp-libgimp
Requires:	gtk2 >= 2.2.2
Requires:	libart_lgpl >= 2.0
Requires:	fontconfig >= 2.2.0
#Requires:	gimp-print >= 4.2.0
#Conflicts:	gimp-print >= 4.3.0
#Requires:	gtkhtml2 >= 2.0.0
#Requires:	librsvg2 >= @RSVG_REQUIRED_VERSION@
#Requires:	lcms
Requires:	libexif
BuildRequires:	gtk2-devel >= 2.2.2
BuildRequires:	fontconfig-devel >= 2.2.0
BuildRequires:	libart_lgpl-devel >= 2.0
#BuildRequires:	gimp-print-devel >= 4.2.0
#BuildRequires:	librsvg2-devel >= 2.0
#BuildRequires:	gtkhtml2-devel >= 2.0.0
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libmng-devel
BuildRequires:	libexif-devel
BuildRequires:	perl-XML-Parser
Source:		ftp://ftp.gimp.org/pub/gimp/v%{subver}/%{name}-%{ver}.tar.bz2

BuildArchitectures: i586


%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute.  The GIMP FTP site
has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of
the fonts have unusual licensing requirements; all the licenses are
documented in the package.  Get
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz and
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

Install the GIMP if you need a powerful image manipulation
program. You may also want to install other GIMP packages:
gimp-libgimp if you're going to use any GIMP plug-ins and
gimp-data-extras, which includes various extra files for the GIMP.

%package devel
Summary:	GIMP plugin and extension development kit
Group:		Applications/Graphics
Requires:	gtk2-devel
%description devel
The gimp-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.

Install gimp-devel if you're going to create plug-ins and/or
extensions for the GIMP.  You'll also need to install gimp-limpgimp
and gimp, and you may want to install gimp-data-extras.

%package docs
Summary: GIMP Documentation
Group: Applications/Graphics
%description docs
GIMP documentation

%prep
%setup -q

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --quiet $MYARCH_FLAGS --prefix=%{prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" %configure --prefix=%{prefix} --quiet --disable-python
fi
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/info $RPM_BUILD_ROOT/%{prefix}/include \
	$RPM_BUILD_ROOT/%{prefix}/lib $RPM_BUILD_ROOT/%{prefix}/bin \
	$RPM_BUILD_ROOT/%{desktopdir}/applications \
	$RPM_BUILD_ROOT/%{desktopdir}/application-registry \
	$RPM_BUILD_ROOT/%{desktopdir}/mime-info
make destdir=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT install

# Plugins and modules change often (grab the executeable ones)
echo "%defattr (0555, bin, bin)" > gimp-plugin-files
find $RPM_BUILD_ROOT/%{prefix}/lib/gimp/%{subver} -type f -exec file {} \; | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"  >>gimp-plugin-files

# Tips
echo "%defattr (444, bin, bin, 555)" >gimp-tips-files

# Build the master filelists generated from the above mess.
cat gimp-plugin-files gimp-tips-files > gimp.files

# for gimp.desktop
perl -pi -e 's/Name=.*/Name=The GIMP (Photo-retouching)/g' $RPM_BUILD_ROOT/usr/share/applications/gimp*.desktop
perl -pi -e 's/Name\[ja\]=.*/Name[ja]=The GIMP (フォトレタッチ)/g' $RPM_BUILD_ROOT/usr/share/applications/gimp*.desktop
#perl -pi -e 's/gimp-remote-/gimp-/g' $RPM_BUILD_ROOT/usr/share/applications/gimp*.desktop

# foe menurc
rm %{sysconfdir}/gimp/%{subver}/menurc
ln -s ps-menurc %{sysconfdir}/gimp/%{subver}/menurc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gimp.files
##%attr (0555, bin, man) %doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README
#%attr (0555, bin, man) %doc docs/*.txt README.i18n README.win32
%defattr (0444, bin, bin, 0555)
%dir %{prefix}/share/gimp/%{subver}
%dir %{prefix}/share/gimp/%{subver}/tips
%dir %{prefix}/lib/gimp/%{subver}
%dir %{prefix}/lib/gimp/%{subver}/modules
%dir %{prefix}/lib/gimp/%{subver}/plug-ins

%{desktopdir}/applications/gimp*.desktop
%{desktopdir}/application-registry/gimp*.applications
%{desktopdir}/mime-info/gimp*.keys
%{prefix}/share/gimp/%{subver}/menus/

%{prefix}/share/gimp/%{subver}/brushes/
%{prefix}/share/gimp/%{subver}/fractalexplorer/
%{prefix}/share/gimp/%{subver}/gfig/
%{prefix}/share/gimp/%{subver}/gflare/
%{prefix}/share/gimp/%{subver}/gimpressionist/
%{prefix}/share/gimp/%{subver}/gradients/
%{prefix}/share/gimp/%{subver}/palettes/
%{prefix}/share/gimp/%{subver}/patterns/
%{prefix}/share/gimp/%{subver}/scripts/

%{sysconfdir}/gimp/%{subver}/gimprc
%{sysconfdir}/gimp/%{subver}/gtkrc
%{sysconfdir}/gimp/%{subver}/menurc
%{sysconfdir}/gimp/%{subver}/ps-menurc
%{sysconfdir}/gimp/%{subver}/sessionrc
%{sysconfdir}/gimp/%{subver}/templaterc
%{sysconfdir}/gimp/%{subver}/unitrc
%{sysconfdir}/gimp/%{subver}/controllerrc

%defattr (0555, bin, bin)
%{prefix}/lib/libgimp*-%{subver}.so.*

%{prefix}/share/gimp/%{subver}/images
%{prefix}/share/gimp/%{subver}/themes
%{prefix}/share/gimp/%{subver}/tips/gimp-tips.xml

%{prefix}/share/locale/

%{prefix}/bin/gimp
%{prefix}/bin/gimp-[0-9]*

#%defattr (0444, bin, man)
#
#%{prefix}/share/man/man1/*
#%{prefix}/share/man/man5/*

%files devel
%defattr (0555, bin, bin, 0555)
%{prefix}/bin/gimptool-2.0
%{prefix}/lib/*.so
%{prefix}/lib/*.la
%dir %{prefix}/lib/gimp/%{subver}
%dir %{prefix}/lib/gimp/%{subver}/modules
%{prefix}/lib/gimp/%{subver}/modules/*.la

%defattr (0444, root, root, 0555)
%{prefix}/lib/pkgconfig/gimp-2.0.pc
%{prefix}/lib/pkgconfig/gimpui-2.0.pc
%{prefix}/lib/pkgconfig/gimpthumb-2.0.pc

%dir %{prefix}/include/gimp-%{subver}/
%{prefix}/include/gimp-%{subver}/*

%{prefix}/share/aclocal/gimp-2.0.m4

%{prefix}/include/gimp-%{subver}/libgimp

%files docs
%{prefix}/share/gtk-doc/html/*


%changelog
* Mon Apr 7 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.4.5
* Fri Feb 8 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.4.4
* Sun Dec 2 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.4.2
* Sun Nov 4 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.4.1
* Sun Jun 22 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.2.17
* Sun Dec 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.2
* Wed Nov 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.2-pre2
* Thu Nov 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.6
* Wed Apr 14 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.1
* Sun Apr 4 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
